package com.lightinit.hsdataportal.model;

import java.util.Date;

public class DataApplyModel {
    private  Long id;
    private  Long publishInfoId;
    private Long publishSettingId;
    private String resourceName ;
    //开放类型
    private String openCondition;
    //申请人
    private Long applier;
    private String platformType;
    private Date applyTime;
    //申请理由
    private  String applyReason;
    /*审核人*/
    private Long auditedBy;
    /*审核时间*/
    private  Date auditedAt;
    /*审核结果*/
    private String auditResult;
    /*审核意见*/
    private  String auditOpinion;
    /*创建时间*/
    private Date createdAt;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public Long getApplier() {
        return applier;
    }

    public void setApplier(Long applier) {
        this.applier = applier;
    }

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }


    public Long getAuditedBy() {
        return auditedBy;
    }

    public void setAuditedBy(Long auditedBy) {
        this.auditedBy = auditedBy;
    }

    public Date getAuditedAt() {
        return auditedAt;
    }

    public void setAuditedAt(Date auditedAt) {
        this.auditedAt = auditedAt;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public String getPlatformType() {
        return platformType;
    }

    public void setPlatformType(String platformType) {
        this.platformType = platformType;
    }

    public String getApplyReason() {
        return applyReason;
    }

    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getOpenCondition() {
        return openCondition;
    }

    public void setOpenCondition(String openCondition) {
        this.openCondition = openCondition;
    }
}
